import { ApiProperty } from "@nestjs/swagger"
import { ChallengeAction } from "@prisma/client"

export class ChallengeActionEntity implements ChallengeAction {
  constructor(partial: Partial<ChallengeActionEntity>) {
    Object.assign(this, partial)
  }

  @ApiProperty({ description: "Identifiant unique" })
  id: number

  @ApiProperty({ description: "Identifiant de l'utilisateur⋅rice effectuant le défi" })
  userId: number

  @ApiProperty({ description: "Identifiant du défi rattaché à l'action" })
  challengeId: number

  @ApiProperty({ description: "Est-ce que le défi est actuellement en train d'être réalisé" })
  active: boolean

  @ApiProperty({ description: "Est-ce que le défi a été réussi" })
  success: boolean
}
